API ReferenceGeneratedX402
List pending x402 orders
Returns your pending top-up orders with freshly rebuilt challenges. Orders with less than 30 seconds of validity remaining are omitted. A user can hold at most 3 pending orders.
Authorization
apiKey AuthorizationBearer <token>
Linkex API key (sk-...), including agent keys. Session cookie auth is also accepted on /api/user/* routes.
In: header
Response Body
application/json
curl -X GET "https://example.com/api/user/topup/x402/orders"{ "success": true, "data": [ { "order_id": 0, "status": "pending", "expires_at": 0, "amount_usd": 0, "challenge": { "x402Version": 2, "accepts": [ { "scheme": "exact", "network": "string", "amount": "string", "maxAmountRequired": "string", "resource": "string", "payTo": "string", "maxTimeoutSeconds": 0, "asset": "string", "extra": {} } ] } } ]}